## com.nwalsh.saxon6
Class TextFactory

    java.lang.Object
      |
      +--com.nwalsh.saxon6.TextFactory

public class TextFactory
extends java.lang.Object
implements com.icl.saxon.style.ExtensionElementFactory

Saxon extension element factory

$Id: TextFactory.html,v 1.1 2002/05/15 17:22:27 isberg Exp $

Copyright (C) 2000 Norman Walsh.

This class provides a Saxon extension element factory for the Text extension element family.

Change Log:

1.0

  Initial release.

See Also:
  `Text`

Constructor Summary
`TextFactory()` Constructor for TextFactory

Method Summary
`java.lang.Class` `getExtensionClass(java.lang.String localname)` Return the class that implements a particular extension element.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextFactory

    public TextFactory()

  Constructor for TextFactory

  Does nothing.

Method Detail

### getExtensionClass

    public java.lang.Class getExtensionClass(java.lang.String localname)
                                      throws org.xml.sax.SAXException

  Return the class that implements a particular extension element.

  Specified by:
    getExtensionClass in interface com.icl.saxon.style.ExtensionElementFactory
  Parameters:
    `localname` - The local name of the extension element.
  Returns:
    The class that handles that extension element.
  Throws:
    SAXException("Unknown - Text extension element")